<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.catalog.Location" table="location" catalog="crov_spa">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <property name="name" type="string">
            <column name="name" length="200" not-null="true"/>
        </property>
        <property name="active" type="java.lang.Boolean">
            <column name="active" not-null="true" sql-type="TINYINT"/>
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on"/>
        </property>
        
        <property name="completeAddress" type="string">
            <column name="complete_address" length="150"/>
        </property>
        
        <property name="gerente" type="string">
            <column name="gerente" length="255"/>
        </property>
        
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.RegimenFiscal" fetch="select" name="taxRegime">
            <column length="36" name="tax_regime" not-null="false"/>
        </many-to-one>
        <property name="businessName" type="string">
            <column name="business_name" length="255"/>
        </property>
        <property name="mail" type="string">
            <column name="mail" length="255"/>
        </property>
        
        <property name="rfc" type="string">
            <column name="rfc" length="255"/>
        </property>
        
        <property name="phone" type="string">
            <column name="phone" length="255"/>
        </property>
        
        <property name="address" type="string">
            <column name="address" length="255"/>
        </property>
        
        <property name="suburb" type="string">
            <column name="suburb" length="255"/>
        </property>
        
        <property name="state" type="string">
            <column name="state" length="255"/>
        </property>
        
        <property name="municipality" type="string">
            <column name="municipality" length="255"/>
        </property>
        
        <property name="postalCode" type="string">
            <column name="postal_code" length="255"/>
        </property>
        <property name="certificate" type="string">
            <column name="certificate" length="255"/>
        </property>
        <property name="certificateKey" type="string">
            <column name="certificate_key" length="255"/>
        </property>
        <property name="certificatePassword" type="string">
            <column name="certificate_password" length="255"/>
        </property>
        
        <property name="printer" type="string">
            <column name="printer" length="255"/>
        </property>
        
        <property name="maxPerson" type="int">
            <column name="max_person"/>
        </property>
        
        <property name="demo" type="java.lang.Boolean">
            <column name="demo" not-null="true" sql-type="TINYINT"/>
        </property>
        
        <property name="finDemo" type="timestamp">
            <column length="19" name="fin_demo"/>
        </property>
        
        <property name="logo" type="string">
            <column name="logo" length="255"/>
        </property>
        
    </class>
</hibernate-mapping>